﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.IO;

namespace InfraChartSample
{
    /// <summary>
    /// Summary description for DynamicChartWs
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    [System.Web.Script.Services.ScriptService]
    public class DynamicChartWs : System.Web.Services.WebService
    {

        [WebMethod]
        /// Returns the Chart's html
        public string GetChartHTML()
        {
            string html = string.Empty;

            Page pageHolder = new Page();

            /// Load the Chart control
            UserControl dynamicChartControl = (UserControl)pageHolder.LoadControl("DynamicChartControl.ascx");

            pageHolder.Controls.Add(dynamicChartControl);

            StringWriter output = new StringWriter();
            try
            {
                /// Execute the page
                HttpContext.Current.Server.Execute(pageHolder, output, false);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            /// Return the generated html
            return output.ToString();
        }
    }
}
